package com.company;

import java.math.BigInteger;

public class Main {

  public static void main(String[] args) {
    java.util.Scanner sc = new java.util.Scanner(System.in);
    String A = new String(sc.next());
    String B = new String(sc.next());
    String C = new String(sc.next());
    String s1  = A + B + C;
    String s2  = A + C + B;
    String s3 = B + A + C;
    String s4 = B + C + A;
    String s5 = C + A + B;
    String s6 = C + B + A;
    BigInteger b1 = new BigInteger(s1);
    BigInteger b2 = new BigInteger(s2);
    BigInteger b3 = new BigInteger(s3);
    BigInteger b4 = new BigInteger(s4);
    BigInteger b5 = new BigInteger(s5);
    BigInteger b6 = new BigInteger(s6);
    BigInteger max = new BigInteger("0");
    if (b1.compareTo(max) == 1) {
      max = b1;
    }
    if (b2.compareTo(max) == 1) {
      max = b2;
    }
    if (b3.compareTo(max) == 1) {
      max = b3;
    }
    if (b4.compareTo(max) == 1) {
      max = b4;
    }
    if (b5.compareTo(max) == 1) {
      max = b5;
    }
    if (b6.compareTo(max) == 1) {
      max = b6;
    }
    System.out.println(max);
  }
}